//
// Variables for Custom theme
// --------------------------------------------------

// Brand Colors
// @brand-primary: #00a3b5;
// muokattu @brand-secondary: #87ba40;
// @brand-third: #d8f4ed;
// @brand-fourth: #ebd4f0;
// @brand-success: #00b270;
// @brand-warning: #fff48c;
// @brand-danger: #ff461e;
// @brand-info: #b2e3ea;
// @logo-color: #fff;

//== Custom styling
//== Background
//@background-image-url: url('../images/customhomebg');
//@background-image-attachment: scroll;  // set to fixed or scroll (fixed doesnt scoll along with page)
//@background-start-color: rgba(1,1,1,0.01); // gradient color for background image
//@background-end-color:  rgba(1,1,1,0.3); // gradient color for background image
//@background-start-percent: 15%;
//@background-end-percent: 100%;

//@header-height: 43px;
//@navbar-logo-height: 35px;
//@logo-height: 66px;
//@logo-separator-color: #fff; // Color of hr line under main logo
//@header-background-color: rgba(1,1,1,0.8); // Color of main navigation bar top
//@footer-background: @gray;
//@footer-text-color: @body-bg;
//@finna-main-header-background: @brand-secondary; // Color of page header background and search results tabs
//@finna-searchbox-link-color: #fff; // style searchbox link text color contrast with background
//@finna-searchbox-link-background: rgba(100,100,100,0.3); // style searchbox links (advanced search etc.) background contrast with background
//@finna-record-header-background: @gray-lighter;
//@background-image-gradient: #000, #000, 55%, 30%;
//@finna-text-shadow: 1px 1px 1px black;
//@finna-button-radius: 10px; // Defines some radiuses
//@finna-header-font-size: 1.6em; // Adjust header of each page
//@record-title-font-size: 1.7em; // adjust record view header title size
//@main-tabs-background-color: @brand-primary;
//@main-tabs-link-color: #fff;

//== Finna home page
@introduction-header: 2.7em;    // adjust slogan size on main page
//@home-content-background: @body-bg; // Add custom background color for home main section
@home-1-background: #f5f5f5;
//@home-2-background: @body-bg;
//@home-3-background: @body-bg; 
//@home-4-background: @body-bg;
//@home-left-column-background: #f5f5f5;
//@home-right-column-background: @body-bg;
//@infobox-background: @brand-third;
//@infobox-border: none;
//@infobox-text-color: @gray;
//@infobox-box-shadow: none;

//== Finna facets
//@sidebar-header-text-color: #fff;   // adjust all sidebar headers text color
@sidebar-background: #0597C3;    // adjust all sidebar headers background
@facet-background:  #0597C3;  // adjust finna facet headers
// @facet-text-color: @body-bg;
// @facet-link-hover-background: rgba(1,1,1,0.05);
//@display-checkbox-facet-amount: none;    // set to none or inline-block (show results of online material next to selection)

//== Generated carousel styles
    //== Carousel images background-color
//@carousel-slider-background: #000;
   //== Styling the header of carousel
@carousel-header-background: @gray-light;
@carousel-header-color: #fff;
   //== Styling the horizontal header of each slide
//@carousel-slide-header-background: rgba(1, 1, 1, 0.6);
//@carousel-slide-header-color: @link-color;
//@carousel-slide-header-text-shadow: none;
    //== Vertical slider background
//@carousel-verticalslide-header-background: none;
   //== Styling the text color and background of each slide
//@carousel-text-background-color: rgba(1,1,1,0.75);
//@carousel-slide-text-color: rgb(255, 255, 255);
@carousel-slide-link-color: #FBAF33;

//== List feed styles
@list-feed-background: none;
@list-feed-padding: 0px;

//== List feed header style
@list-feed-header-background: @gray-light;
@list-feed-header-padding: 10px;
@list-feed-header-color: #fff;


//== Myreresearch custom styles
//@myresearch-header-background: #b0e9db;
//@myresearch-tabs-color: @gray;

//== Scaffolding
//
// ## Settings for some of the most global styles.

//@body-bg: #fff;
//@text-color: @gray;
//@link-color: @brand-primary; // defines all link color, also for linked icons
//@link-hover-color: @link-color;
//@link-hover-decoration: #fff;
// @component-active-bg: @brand-primary;


//== Typography
//
//## Font, line-height, and color for body text, headings, and more.

//@font-family-sans-serif: "Helvetica Neue", Helvetica, Arial, sans-serif;
//@font-family-serif: PT Serif;
//@font-family-monospace: Monaco;
//@font-family-base: @font-family-sans-serif;
//@headings-font-family: @font-family-base;
//@headings-font-weight: 500;
//@headings-line-height: 1.1;
//@headings-color: inherit;


//## Font size, line-height for content pages
//@content-font-size-base: 14px;
//@content-line-height-base: 1.6;
//@headings-font-weight: 700;
//@content-headings-line-height: @headings-line-height;
//@content-headings-color: @gray-dark;
//@content-heading-background: #f3ec7a;

//** Global color for active items (e.g., navs or dropdowns).
//@component-active-color:    #fff;
//** Global background color for active items (e.g., navs or dropdowns).
//@component-active-bg:       @brand-primary;

//** Width of the `border` for generating carets that indicator dropdowns.
//@caret-width-base:          4px;
//** Carets increase slightly in size for larger components.
//@caret-width-large:         5px;


//== Tables
//
//## Customizes the `.table` component with basic values, each used across all table variations.


//** Finna tables
//@table-finna-record-cell-padding:  3px 0px;
//** Default background color used for all tables.
@table-bg:                      transparent;
//** Background color used for `.table-striped`.
//@table-bg-accent:               #F7F7F7;    // Defines color for striped tables used in record details and holdings
//** Background color used for `.table-hover`.
//@table-bg-hover:                #f5f5f5;
//@table-bg-active:               @table-bg-hover;

//** Border color for table and cell borders.
//@table-border-color:            transparent;


//== Buttons
//
//## For each of Bootstrap's buttons, define text, background and border color.

//@btn-default-color: #333;
//@btn-default-bg: #fff;
//@btn-default-border: #ccc;
//@btn-primary-color: #fff;    // search button text and icon color
//@btn-primary-bg: @link-color;  // search button background
//@btn-primary-border: darken(@btn-primary-bg, 0%);
//@btn-success-color: #fff;
//@btn-success-bg: @brand-success;
//@btn-success-border: darken(@btn-success-bg, 5%);
//@btn-warning-color: @gray-light;
//@btn-warning-bg: @brand-warning;
//@btn-warning-border: darken(@btn-warning-bg, 5%);
//@btn-danger-color: #fff;
//@btn-danger-bg: @brand-danger;
//@btn-danger-border: darken(@btn-danger-bg, 5%);
//@btn-info-color: #fff;
//@btn-info-bg: @brand-info;
//@btn-info-border: darken(@btn-info-bg, 5%);
//@btn-link-disabled-color: @gray-light;

//== Dropdowns
//
//## Dropdown menu container and contents.

//@dropdown-bg: #fff;
//@dropdown-border: rgba(0,0,0,.15);
//@dropdown-divider-bg: #e5e5e5;
//@dropdown-link-active-color: #fff;
//@dropdown-link-active-bg: @component-active-bg;
//@dropdown-link-color: @gray-dark;
//@dropdown-link-hover-color: @dropdown-link-color;
//@dropdown-link-hover-bg: rgba(1,1,1,0.1);
//@dropdown-link-disabled-color: @gray-light;
//@dropdown-header-color: @gray-light;
//@dropdown-caret-color: #000;
//@dropdown-fallback-border: none;

//-- Z-index master list
//
// Warning: Avoid customizing these values. They're used for a bird's eye view
// of components dependent on the z-axis and are designed to all work together.
//
// Note: These variables are not generated into the Customizer.

//@zindex-navbar:            1000;
//@zindex-dropdown:          1000;
//@zindex-popover:           1010;
//@zindex-tooltip:           1030;
//@zindex-navbar-fixed:      1030;
//@zindex-modal-background:  1040;
//@zindex-modal:             1050;

//== Navbar
//
//##

// Basics of a Finna navbar
//@navbar-height:                    45px;
//@navbar-margin-bottom:             0px;
//@navbar-border-radius:             @border-radius-base;
//@navbar-padding-horizontal:        floor((@grid-gutter-width / 2));
//@navbar-padding-vertical:          0px;
//@navbar-collapse-max-height:       auto;

//@navbar-default-color:             #777;
//@navbar-default-bg:                #fff;
//@navbar-default-border:            darken(@navbar-default-bg, 6.5%);

// Navbar links
//@navbar-default-link-color:                #fff;  // Color of link texts in navbar
//@navbar-font-size:                         1.05em; // Font-size of navbar links
//@navbar-font-weight:                       500; // Font weight for navbar texts
//@navbar-default-link-hover-color:          #333;
//@navbar-default-link-hover-bg:             transparent;
//@navbar-default-link-active-color:         #555;
//@navbar-default-link-active-bg:            darken(@navbar-default-bg, 6.5%);
//@navbar-default-link-disabled-color:       #ccc;
//@navbar-default-link-disabled-bg:          transparent;

// Navbar brand label
//@navbar-default-brand-color:               @navbar-default-link-color;
//@navbar-default-brand-hover-color:         darken(@navbar-default-brand-color, 10%);
//@navbar-default-brand-hover-bg:            transparent;

// Navbar toggle
//@navbar-toggle-color:                      @navbar-default-link-color;
//@navbar-default-toggle-hover-bg:           #ddd;
//@navbar-default-toggle-icon-bar-bg:        #888;
//@navbar-default-toggle-border-color:       #ddd;


// Inverted navbar
// Reset inverted navbar basics
//@navbar-inverse-color:                      @gray-light;
//@navbar-inverse-bg:                         #222;
//@navbar-inverse-border:                     darken(@navbar-inverse-bg, 10%);

// Inverted navbar links
//@navbar-inverse-link-color:                 @gray-light;
//@navbar-inverse-link-hover-color:           #fff;
//@navbar-inverse-link-hover-bg:              transparent;
//@navbar-inverse-link-active-color:          @navbar-inverse-link-hover-color;
//@navbar-inverse-link-active-bg:             darken(@navbar-inverse-bg, 10%);
//@navbar-inverse-link-disabled-color:        #444;
//@navbar-inverse-link-disabled-bg:           transparent;

// Inverted navbar brand label
//@navbar-inverse-brand-color:                @navbar-inverse-link-color;
//@navbar-inverse-brand-hover-color:          #fff;
//@navbar-inverse-brand-hover-bg:             transparent;

// Inverted navbar toggle
//@navbar-inverse-toggle-hover-bg:            #333;
//@navbar-inverse-toggle-icon-bar-bg:         #fff;
//@navbar-inverse-toggle-border-color:        #333;


//== Navs
//
//##

//=== Shared nav styles
//@nav-link-padding:                          0px 15px;
//@nav-link-hover-bg:                         rgba(255,255,255,0.2);

//@nav-disabled-link-color:                   @gray-light;
//@nav-disabled-link-hover-color:             @gray-light;

//@nav-open-link-hover-color:                 #fff;

//== Finna record Tabs
//@nav-tabs-background-color:                 #fff;
//@nav-tabs-text-color:                       @gray;
//@nav-tabs-border-color:                     @brand-secondary;   // this will set the background and border color of tabs in record
//@nav-tabs-link-hover-border-color:          @brand-secondary;
//@nav-tabs-link-hover-color:                 @nav-tabs-active-link-hover-color;
//@tabs-border-radius:                        10px;

//@nav-tabs-active-link-hover-bg:             @body-bg;
//@nav-tabs-active-link-hover-color:          @gray;
//@nav-tabs-active-link-hover-border-color:   #ddd;

//@nav-tabs-justified-link-border-color:            #ddd;
//@nav-tabs-justified-active-link-border-color:     @body-bg;

//== Pills
//@nav-pills-border-radius:                   @border-radius-base;
//@nav-pills-active-link-hover-bg:            @component-active-bg;
//@nav-pills-active-link-hover-color:         @component-active-color;


//== Pagination in Finna
//
//##
//@pagination-background:                @body-bg;
//@pagination-color:                     @link-color;
//@pagination-bg:                        @body-bg;
//@pagination-border:                    transparent;

//@pagination-hover-color:               @link-hover-color;
//@pagination-hover-bg:                  #f5f5f5;
//@pagination-hover-border:              #ddd;

//@pagination-active-color:              @gray-light;
//@pagination-active-bg:                 #f5f5f5;
//@pagination-active-border:             none;

//@pagination-disabled-color:            @gray-light;
//@pagination-disabled-bg:               #fff;
//@pagination-disabled-border:           transparent;


//== Pager
//
//##

//@pager-bg:                             @link-color;
//@pager-border:                         @pagination-border;
//@pager-border-radius:                  15px;

//@pager-hover-bg:                       @brand-primary;

//@pager-active-bg:                      @pagination-active-bg;
//@pager-active-color:                   @pagination-active-color;

//@pager-disabled-color:                 @pagination-disabled-color;



//== Form states and alerts
//
//## Define colors for form feedback states and, by default, alerts.

//@state-success-text:             #00b370;
//@state-success-bg:               #dff0d8;
//@state-success-border:           darken(spin(@state-success-bg, -10), 5%);

//@state-info-text:                #31708f;
//@state-info-bg:                  #d9edf7;
//@state-info-border:              darken(spin(@state-info-bg, -10), 7%);

//@state-warning-text:             #8a6d3b;
//@state-warning-bg:               #fcf8e3;
//@state-warning-border:           darken(spin(@state-warning-bg, -10), 5%);

//@state-danger-text:              #a94442;
//@state-danger-bg:                #f2dede;
//@state-danger-border:            darken(spin(@state-danger-bg, -10), 5%);


//== Tooltips
//
//##

//** Tooltip max width
//@tooltip-max-width:           200px;
//** Tooltip text color
//@tooltip-color:               @body-bg;
//** Tooltip background color
//@tooltip-bg:                  @gray-light;
//@tooltip-opacity:             .9;

//** Tooltip arrow width
//@tooltip-arrow-width:         5px;
//** Tooltip arrow color
//@tooltip-arrow-color:         @body-bg;
//@tooltip-header-color:        @gray-light;

//== Labels
//
//##

//** Default label background color
//@label-default-bg:            @gray-light;
//** Primary label background color
//@label-primary-bg:            @brand-primary;
//** Success label background color
//@label-success-bg:            @brand-success;
//** Info label background color
//@label-info-bg:               @brand-info;
//** Warning label background color
//@label-warning-bg:            @brand-warning;
//** Danger label background color
//@label-danger-bg:             @brand-danger;

//** Default label text color
//@label-color:                 #fff;
//** Default text color of a linked label
//@label-link-hover-color:      #fff;


//== Modals
//
//##
//@modal-header-background: @brand-primary;
//@modal-header-color: @body-bg;
//** Padding applied to the modal body
//@modal-inner-padding:         20px;

//** Padding applied to the modal title
//@modal-title-padding:         15px;
//** Modal title line-height
//@modal-title-line-height:     @line-height-base;

//** Background color of modal content area
//@modal-content-bg:                             #fff;
//** Modal content border color
//@modal-content-border-color:                   rgba(0,0,0,.2);
//** Modal content border color **for IE8**
//@modal-content-fallback-border-color:          #999;

//** Modal backdrop background color
//@modal-backdrop-bg:           #000;
//** Modal backdrop opacity
//@modal-backdrop-opacity:      .7;
//** Modal header border color
//@modal-header-border-color:   #e5e5e5;
//** Modal footer border color
//@modal-footer-border-color:   @modal-header-border-color;

//@modal-lg:                    900px;
//@modal-md:                    600px;
//@modal-sm:                    300px;


//== List group
//
//##

//** Background color on `.list-group-item`
//@list-group-bg:                 #f5f5f5;
//** `.list-group-item` border color
//@list-group-border:             #ddd;
//** List group border radius
//@list-group-border-radius:      @border-radius-base;

//** Background color of single list elements on hover
//@list-group-hover-bg:           #f5f5f5;
//** Text color of active list elements
//@list-group-active-color:       @component-active-color;
//** Background color of active list elements
//@list-group-active-bg:          @component-active-bg;
//** Border color of active list elements
//@list-group-active-border:      @list-group-active-bg;
//@list-group-active-text-color:  lighten(@list-group-active-bg, 40%);

//@list-group-link-color:         #555;
//@list-group-link-heading-color: #333;

//== Badges
//
//##

//@badge-color:                 @gray-light; // color of facet count
//** Linked badge text color on hover
//@badge-link-hover-color:      #fff;
//@badge-bg:                    none;

//** Badge text color in active nav link
//@badge-active-color:          @link-color;
//** Badge background color in active nav link
//@badge-active-bg:             #fff;
//@badge-font-size:             0.9em;
//@badge-font-weight:           400;
//@badge-line-height:           1;
//@badge-border-radius:         10px;


//== Breadcrumbs
//
//##

//@breadcrumb-padding-vertical:   5px;
//@breadcrumb-padding-horizontal: 5px;
//** Breadcrumb background color
//@breadcrumb-bg:                 rgba(1, 1, 1, 0.4);
//** Breadcrumb text color
//@breadcrumb-color:              #fff;
//** Text color of current page in the breadcrumb
//@breadcrumb-active-color:       #fff;
//** Textual separator for between breadcrumb elements
//@breadcrumb-separator:          "/ ";

//== Close
//
//##

//@close-font-weight:           bold;
//@close-color:                 #000;
//@close-text-shadow:           0 1px 0 #fff;


//** Text muted color
//@text-muted:                  @gray-light;
//** Abbreviations and acronyms border color
//@abbr-border-color:           @gray-light;
//** Headings small color
//@headings-small-color:        @gray-light;
//** Blockquote small color
//@blockquote-small-color:      @gray-light;
//** Blockquote font size
//@blockquote-font-size:        (@font-size-base * 1.25);
//** Blockquote border color
//@blockquote-border-color:     @gray-lighter;
//** Page header border color
//@page-header-border-color:    @gray-lighter;

// Finnan uudet värit

// @header-background-color: #FFF;
// @header-text-color: #082213;
@finna-browsebar-background: #bff5a8;
@finna-browsebar-link-color: #082213;
@finna-browsebar-highlight-background: #000000;
// @finna-search-background (hakupalkin taustaväri)
// @finna-search-link-color (hakupalkin linkin väri)
// @filters-background-color (hakurajaimen taustaväri)
// @filters-text-color (hakurajaimen tekstinväri)
// @action-link-color (toiminto linkin väri)
